# Emoji and emoticons

## Add emoji to a message

There are several ways to add emoji to a message: typing emoji codes,
selecting from an emoji picker, using emoticons, or pasting from another
site.

### Type an emoji code

{start_tabs}

{!start-composing.md!}

1. Type `:` followed by a few letters to open the emoji autocomplete. The
   letters don't have to be at the beginning of the emoji name; `:ppl` will
   match `:apple:`

{end_tabs}

If you don't know the code for an emoji, you can see what it's called in the
emoji picker, or hover over the emoji in a message.

### Select from the emoji picker

{start_tabs}

{!start-composing.md!}

1. Click the smiley face (<i class="fa fa-smile-o"></i>) icon at the
   bottom of the compose box.

1. Select an emoji. You can type to search, use the arrow keys, or click on
   an emoji with your mouse.

{end_tabs}

### Use emoticons

Use `:)` and `:/` instead of typing `:slight_smile:` and `:confused:`.

{start_tabs}

{settings_tab|display-settings}

1. Under **Emoji settings**, select **Convert emoticons before sending**.

{end_tabs}

The list of supported emoticons is available
[here](/help/enable-emoticon-translations).

### Paste from another site

Copying and pasting emoji from other sites generally works.
[Contact us](/help/contact-support) if you find a site where it doesn't!

## Change your emoji set

Your emoji set determines how you see emoji. It has no effect on the emoji
you send.

{start_tabs}

{settings_tab|display-settings}

1. Under **Emoji settings**, select **Google modern**, **Google classic**,
   or **Twitter**.

{end_tabs}

## Related articles

* [Add custom emoji](/help/add-custom-emoji)
* [Emoji reactions](/help/emoji-reactions)
* [View emoji as text](/help/view-emoji-as-text)
